var createViewModel = require("./main-view-model").createViewModel;

function onNavigatingTo(args) {
    var page = args.object;
    page.bindingContext = createViewModel();
}
exports.onNavigatingTo = onNavigatingTo;

exports.tapRed = function name(params) {
    alert("Red");
}

exports.tapGreen = function name(params) {
    alert("Green");
}

exports.doneTap = function(params) {
    alert('done tap');
}

exports.tapSomething = function name(params) {
    alert(params.object.id);
}